# Interface IDiagnosisArchiveRepository

Namespace
  adas_core.Application.Repositories.Interfaces

Assembly
  adas-core.Application.dll

    public interface IDiagnosisArchiveRepository

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Methods

### DeleteBeforeDate(DateTime)

Asynchronously deletes items that occurred before the specified cutoff date.

    Task DeleteBeforeDate(DateTime date)

#### Parameters

`date` DateTime

  The cutoff date; items dated prior to this value will be deleted.

#### Returns

Task

### InsertBatch(IEnumerable<PatientDiagnosis>)

Inserts a batch of patient diagnosis records into the data store.

    Task<long> InsertBatch(IEnumerable<PatientDiagnosis> diagnosis)

#### Parameters

`diagnosis` IEnumerable<PatientDiagnosis>

  The collection of PatientDiagnosis entities to insert.

#### Returns

Task<long>

  A Task<TResult> representing the asynchronous operation, containing the result of the batch insertion.

### InsertOneAsync(PatientDiagnosis)

Asynchronously inserts a new patient diagnosis record into the data store.

    Task InsertOneAsync(PatientDiagnosis patientDiagnosis)

#### Parameters

`patientDiagnosis` PatientDiagnosis

  The patient diagnosis entity to be persisted.

#### Returns

Task

  A task that represents the asynchronous insert operation.